version: '3'
services:
  app:
    build:
      context: .
      dockerfile: docker/Dockerfile-dev
    volumes:
      - .:/application
      - /application/node_modules
    command: /application/bin/dev
    environment:
      VIRTUAL_PORT: 8080
      VIRTUAL_HOST: template-node.docker
      HOST: 0.0.0.0
      PORT: 8080
      DOCKER_ENV: compose
      BASE_URL: http://template-node.docker
      NODE_ENV: development
